Skip to main content
`Ctrl`+`K`

# ISCopy

Copies an index set.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISCopy(IS is, IS isy)

Collective

## Input Parameter

- is - the index set

## Output Parameter

- isy - the copy of the index set

## See Also

`IS`, `ISDuplicate()`, `ISShift()`

## Level

beginner

## Location

src/vec/is/is/interface/index.c

## Implementations

ISCopy_Block() in src/vec/is/is/impls/block/block.c
ISCopy_General() in src/vec/is/is/impls/general/general.c
ISCopy_Stride() in src/vec/is/is/impls/stride/stride.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages